program omp_hello_world
use omp_lib
implicit none
integer :: mythread, nthreads
!$omp parallel default(none) private(mythread) shared(nthreads)
  mythread = omp_get_thread_num()
  if (mythread == 0) then
     nthreads = omp_get_num_threads()
  endif
  print *,'Hello world from thread', omp_get_thread_num(), '!'
!$omp end parallel
print *,'Number of threads was ', nthreads, '.'
end program omp_hello_world


