/* openmp to be added*/
#include <stdio.h>
#include <string.h>
#include "pca_utils.h"
void fill(int n, double* x, double* y) {
  int i;
  for (i=0; i<n; i++) {
    x[i] = (double)i*i;
    y[i] = (double)(i+1)*(i+1);
  }
}
void daxpy(int n, double a, double *x, double *y, double *z) {
  int i;
  for (i=0; i<n; i++)
    z[i] += a*x[i] +y[i];
}
int main() {
  int n=100000000;
  double *x = vector(n);
  double *y = vector(n);
  double *z = vector(n);
  double a = 5./3.;
  pca_time tt;
  fill(n,x,y);
  memset(z,0,sizeof(double)*n);
  tick(&tt);
  daxpy(n,a,x,y,z);
  tock(&tt);
  free(z);
  free(y);
  free(x);
}
