program examplesimd1f
    implicit none
    integer, parameter :: N=65536
    double precision :: a(N), b(N), d2=0.0
    integer(kind=8)  :: d1=0, i
!$omp simd reduction(+:d1)
    do i=1,N
      d1=d1+(i-1)*(N+1-(i-1))
    end do
!$omp simd
    do i=1,N
      a(i)=i-1;
      b(i)=N+1-(i-1);
    end do
!$omp parallel do simd reduction(+:d2)
    do i=1,N
      d2=d2+a(i)*b(i)
    end do
    print *,"result1 =",d1; print *,"result2 =",d2
end program examplesimd1f
